Imports GrapeCity.ActiveReports.ReportsCore.Tools
Imports Microsoft.Office.Core
Imports sun.security.pkcs10

Public Class usrCntlTCeZOLL_EZA_Allg
    Property EZA_ART = "EZA"

    Dim TEL_ANM As TELOTEC_Worker.cTelotec_Anmeldung = Nothing
    Public Event DV1_changed(DV1 As Boolean)

    Sub New(TEL_ANM As TELOTEC_Worker.cTelotec_Anmeldung)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        Me.TEL_ANM = TEL_ANM
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub


    Private Sub usrCntlATLAS_EZA_Load(sender As Object, e As EventArgs) Handles Me.Load
        'MySearchBox1.initSearchBox(Me.FindForm, "AdressenNr, [Name 1] FROM Adressen", {"[Name 1]", "Ort", "PLZ"}, "", "[Name 1]", "AdressenNr", "AdressenNr")

        'sbEingangZollstelleID.initSearchBox(Me.FindForm, "[basncd_dstnr] ,[basncd_dstnr] as Nr,[basncd_name] as Dienststelle,[basncd_alpha] as Land,[basncd_name] +' (' +[basncd_alpha]+')' as display FROM basncd", {" [basncd_dstnr]", "basncd_name"}, " [basncd_gbdat] >= getdate() ", " basncd_alpha,[basncd_name]", "basncd_dstnr", "display", "ATLAS", , 400, 200, {"display", "basncd_dstnr"})
        'sbAdrZollstelle.initSearchBox(Me.FindForm, "[basncd_dstnr] ,[basncd_dstnr] as Nr,[basncd_name] as Dienststelle,[basncd_alpha] as Land,[basncd_name] +' (' +[basncd_alpha]+')' as display FROM basncd", {" [basncd_dstnr]", "basncd_name"}, " [basncd_gbdat] >= getdate() AND basncd_dstnr LIKE 'DE00%' ", " basncd_alpha,[basncd_name]", "basncd_dstnr", "display", "ATLAS", , 400, 200, {"display", "basncd_dstnr"})
        sbEingangZollstelleID.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})
        sbAdrZollstelle.initSearchBox(Me.FindForm, "[Code] ,[Code] as Nr,Description as Dienststelle,left(Code,2) as Land,[Description] +' (' +left(Code,2)+')' as display FROM [tbl_DY_ZollDE_C0141_Zollstellen]", {" [Code]", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", " left(Code,2),[Description]", "Code", "display", "FMZOLL", , 400, 200, {"display", "Code"})

        'sbTatAusfuhrZollstelleID.initSearchBox(Me.FindForm, "[basncd_dstnr] ,[basncd_dstnr] as Nr,[basncd_name] as Dienststelle,[basncd_alpha] as Land,[basncd_name] +' (' +[basncd_alpha]+')' as display FROM basncd", {" [basncd_dstnr]", "basncd_name"}, " [basncd_gbdat] >= getdate() ", " basncd_alpha,[basncd_name]", "basncd_dstnr", "display", "ATLAS", , 400, 200, {"display", "basncd_dstnr"})

        sbBestimmungsland.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display   FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbVersendungsLand.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land,[Code]+' - ' +[Description] as display   FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "display", "FMZOLL", , 400, 200)
        sbKennzeichenInlandLand.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_C0008_LaenderFull", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)
        txtRechnungspreisWaehrung.initSearchBox(Me.FindForm, " [Code] ,[Description] as Land FROM tbl_DY_ZollDE_I0400_Waehrungsliste", {"Code", "Description"}, " (StartDate is null OR StartDate< GETDATE()) AND (EndDate is null OR EndDate> GETDATE()) ", "Code", "Code", "Code", "FMZOLL", , 400, 200)

        cboZollrStatus.Items.Clear()
        cboZollrStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboZollrStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("CO", "CO"))
        cboZollrStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("IM", "IM"))
        cboZollrStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EU", "EU"))

        cboStatStatus.Items.Clear()
        cboStatStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboStatStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("01 - Ware, statistisch nicht erfassbar", "01"))
        cboStatStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("03 - Ware wird von Betiligtem gemeldet", "03"))
        cboStatStatus.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("04 - Ware ist statistisch zu erfassen", "04"))

        cboVerfahren.Items.Clear()
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("01 - Überführung von Waren in den zollrechtlich freien Verkehr", "01"))
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("40 - Gleichzeitige Überführung in den zollrechtlich freien Verkehr ohne MWSt-freie Lieferung", "40"))
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("42 - Gleichzeitige Überführung in den zollrechtlich freien Verkehr mit MWSt-freie Lieferung", "42"))
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("45 - Überführung von Waren in den zollrechtlich und mehrwertsteuer- oder verbrauchsteuerrechtlich freien Verkehr und deren Überführung in ein Steuerlagerverfahren ", "45"))
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("49 - Überführung von Gemeinschaftswaren in den steuerrechtlich freien Verkehr im Rahmen des Warenverkehrs zwischen Teilen des Zollgebiets der Gemeinschaft", "49"))
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("61 - Wiedereinfuhr mit gleichzeitiger Überführung in den zoll- und steuerrechtlich freien Verkehr ohne mehrwertsteuerbefreiende Lieferung - Vorübergehende Ausfuhr im Rahmen der passiven Veredelung", "61"))
        cboVerfahren.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("63 - Wiedereinfuhr und gleichzeitige Überführung in den zoll- und steuerrechtlich freien Verkehr mit mehrwertsteuerbefreiender Lieferung in einen anderen Mitgliedstaat. - Vorübergehende Ausfuhr im Rahmen der passiven Veredelung", "63"))



        cboVerkehrszweigInland.Items.Clear()
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - Seeverkehr", "1"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2 - Eisenbahnverkehr", "2"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("3 - Straßenverkehr", "3"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4 - Luftverkehr", "4"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("5 - Postsendungen", "5"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("7 - Feste Transporteinrichtungen", "7"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("8 - Binnenschifffahrt", "8"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("9 - Eigener Antrieb", "9"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("10 - Seeverkehr", "10"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("12 - Waggon auf Seeschiff", "12"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("16 - Straßenfahrzeug auf Seeschiff", "16"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("17 - Anhänger/Auflieger auf Seeschiff", "17"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("18 - Binnenschiff auf Seeschiff", "18"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("20 - Eisenbahnverkehr", "20"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("23 - Straßenfahrzeug auf Eisenbahn", "23"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("30 - Straßenverkehr", "30"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("40 - Luftverkehr", "40"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("50 - Postsendungen", "50"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("70 - Feste Transporteinrichtungen", "70"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("80 - Binnenschifffahrt", "80"))
        cboVerkehrszweigInland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("90 - Eigener Antrieb", "90"))
        cboVerkehrszweigInland.changeItem("3")

        cboVerkehrszweigGrenze.Items.Clear()
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - Seeverkehr", "1"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2 - Eisenbahnverkehr", "2"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("3 - Straßenverkehr", "3"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("4 - Luftverkehr", "4"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("5 - Postsendungen", "5"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("7 - Feste Transporteinrichtungen", "7"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("8 - Binnenschifffahrt", "8"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("9 - Eigener Antrieb", "9"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("10 - Seeverkehr", "10"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("12 - Waggon auf Seeschiff", "12"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("16 - Straßenfahrzeug auf Seeschiff", "16"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("17 - Anhänger/Auflieger auf Seeschiff", "17"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("18 - Binnenschiff auf Seeschiff", "18"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("20 - Eisenbahnverkehr", "20"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("23 - Straßenfahrzeug auf Eisenbahn", "23"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("30 - Straßenverkehr", "30"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("40 - Luftverkehr", "40"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("50 - Postsendungen", "50"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("70 - Feste Transporteinrichtungen", "70"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("80 - Binnenschifffahrt", "80"))
        cboVerkehrszweigGrenze.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("90 - Eigener Antrieb", "90"))
        cboVerkehrszweigGrenze.changeItem("3")


        cboGeschaeftsArt.Items.Clear()
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("A - Post- und Expresssendungen", "A"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("E - Zugelassende Wirtschaftsbeteiligte", "E"))

        cboArtGrenzUeberschreitung.Items.Clear()
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("01 - LKW", "01"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("02 - Schiff (einschl. sonstiger Wasserfahrzeuge wie Segel-, Ruderboote, Jetski etc.)", "02"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("03 - Waggon (einschl. sonstiger Schienenfahrzeuge)", "03"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("04 - Flugzeug (einschl. sonstiger Luftfahrtgeräte wie Hubschrauber etc.)", "04"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("05 - PKW (einschl. sonstiger Kraftfahrzeuge wie Motorrad, Roller etc.)", "05"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("06 - Ohne (einschl. muskelkraftbetriebener Beförderungsmittel wie Fahrrad etc.)", "06"))
        cboArtGrenzUeberschreitung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("07 - Andere (Postsendung, Rohrleitung, Bef.mittel mit eigenem Antrieb)", "07"))
        cboArtGrenzUeberschreitung.changeItem("01")



        cboZahlungsweise.Items.Clear()
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("A - Barzahlung", "A"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("B - Barzahlung", "B"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("C - Scheck", "C"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("D - Andere (z.B. Abbuchung vom Konto eines Zollagenten)", "D"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("E - Zahlungsaufschub", "E"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("F - Zahlungsaufschub für Zölle oder ein entsprechendes einzelstaatliches Verfahren", "F"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("G - Zahlungsaufschub für die Mehrwertsteuer (Art. 23 der sechsten Mehrwertsteuerrichtlinie) und unmittelbare buchmäßige Erfassung nach Art. 248 ZK-DVO", "G"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("L - SEPA-Lastschriftverfahren", "L"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("S - Sicherheitsleistung", "S"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Y - Barzahlung und unverzügliche Mitteilung der Zollschuld anstatt einer Sicherheitsleistung gemäß Art. 244 UZK-IA", "Y"))
        cboZahlungsweise.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Z - Zahlungsaufschub und unverzügliche Mitteilung der Zollschuld anstatt einer Sicherheitsleistung gemäß Art. 244 UZK-IA", "Z"))



        cboLieferbedingungen.Items.Clear()
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("CFR - Kosten und Fracht", "CFR"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("CIF - Kosten, Versicherung und Fracht", "CIF"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("CIP - Fracht und Versicherung bezahlt bis", "CIP"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("CPT - Fracht bezahlt bis", "CPT"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("DAF - Frei Grenze", "DAF"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("DAP - Geliefert benannter Ort", "DAP"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("DAT - Geliefert Terminal", "DAT"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("DDP - Geliefert verzollt", "DDP"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("DDU - Geliefert unverzollt", "DDU"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("DEQ - Geliefert ab Kai", "DEQ"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("DES - Geliefert ab Schiff", "DES"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EXW - Ab Werk", "EXW"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("FAS - Frei längsseits Schiff", "FAS"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("FCA - Frei Frachtführer", "FCA"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("FOB - Frei an Bord", "FOB"))
        cboLieferbedingungen.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("XXX - Andere Lieferbedingungen als vorstehend angegeben", "XXX"))
        cboLieferbedingungen.changeItem("")

        cboGeschaeftsArt.Items.Clear()
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("11 - Endgültiger Kauf/Verkauf", "11"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("12 - Ansichts- oder Probesendungen, Sendungen mit Rückgaberecht und Kommissionsgeschäfte (einschließlich Konsignationslager)", "12"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("13 - Kompensationsgeschäfte (Tauschhandel)", "13"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("14 - Finanzierungsleasing (Mietkauf)", "14"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("19 - Sonstige Geschäfte mit Eigentumsübertragung und mit Gegenleistung", "19"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("21 - Rücksendung von Waren", "21"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("22 - Ersatz für zurückgesandte Waren", "22"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("23 - Ersatz für nicht zurückgesandte Waren (z. B. wegen Garantie)", "23"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("29 - Sonstige Rücksendung und sonstige unentgeltliche Ersatzlieferung von Waren", "29"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("31 - Warenlieferungen im Rahmen von durch die Europäische Gemeinschaft ganz oder teilweise finanzierten Hilfsprogrammen", "31"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("32 - Andere Hilfslieferungen öffentlicher Stellen (z. B. militärische und humanitäre Hilfslieferungen Deutschlands)", "32"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("33 - Sonstige Hilfslieferungen (von privaten oder von nicht öffentlichen Stellen)", "33"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("34 - Sonstige Geschäfte mit Eigentumsübertragung, jedoch ohne Gegenleistung in Form von finanziellen Leistungen oder Sachleistungen", "34"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("41 - Warensendung zur Lohnveredelung, die voraussichtlich in das ursprüngliche Ausfuhrland zurückgelangen", "41"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("42 - Warensendung zur Lohnveredelung, die voraussichtlich nicht in das ursprüngliche Ausfuhrland zurückgelangen", "42"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("51 - Warensendung nach Lohnveredelung, die in das ursprüngliche Ausfuhrland zurückgelangen", "51"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("52 - Warensendung nach Lohnveredelung, die nicht in das ursprüngliche Ausfuhrland zurückgelangen", "52"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("67 - Warensendungen zur und nach Reparatur", "67"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("69 - Vorübergehende Warenverkehre (für nationale Zwecke); ausgenommen die unter Schlüsselnummer 41, 42, 51, 52 und 91 zu erfassenden Warensendungen - sonstige vorübergehende Warenverkehre bis einschließlich 24 Monaten", "69"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("71 - Für militärische Zwecke", "71"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("72 - für zivile Zwecke (z.B. Airbus, ausgenommen die unter Schlüsselnummer 11 bis 14 oder 19 zu erfassenden Warenbewegungen)", "72"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("81 - Geschäfte mit Lieferung von Baumaterial und technischen Ausrüstungen im Rahmen von Hoch- oder Tiefbauarbeiten als Teil eines Generalvertrags, bei denen keine einzelnen Waren in Rechnung gestellt werden, sondern eine einzige Rechnung den Gesamtwert der Waren erfasst.", "81"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("91 - Andere Geschäfte - vorübergehende Warenverkehre über 24 Monate (z.B. Miete, Leihe und Operate Leasing)", "91"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("92 - Lagerverkehr für ausländische Rechnung", "92"))
        cboGeschaeftsArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("99 - Andere Geschäfte - nicht anderweitig erfasst", "99"))
        cboGeschaeftsArt.changeItem("")


        sbBestimmungsBundesland.Items.Clear()
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("01 - Schleswig-Holstein", "01"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("02 - Hamburg", "02"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("03 - Niedersachsen", "03"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("04 - Bremen", "04"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("05 - Nordrhein-Westfalen", "05"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("06 - Hessen", "06"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("07 - Rheinland-Pfalz", "07"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("08 - Baden-Württemberg", "08"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("09 - Bayern", "09"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("10 - Saarland", "10"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("11 - Berlin", "11"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("12 - Brandenburg", "12"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("13 - Mecklenburg-Vorpommern", "13"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("14 - Sachsen", "14"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("15 - Sachsen-Anhalt", "15"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("16 - Thüringen", "16"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("25 - Für das Ausland bestimmt", "25"))
        sbBestimmungsBundesland.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("99 - Ursprungsausland", "99"))


        cboLieferbedingungSchluessel.Items.Clear()
        cboLieferbedingungSchluessel.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboLieferbedingungSchluessel.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - ab Werk", "1"))
        cboLieferbedingungSchluessel.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("3 - frei deutsche Grenze", "3"))


        cboArtVerfahrenUeberfuehrung.Items.Clear()
        cboArtVerfahrenUeberfuehrung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EZA-A - Einzelzollanmeldung, Abgabe einer herkömmlichen Zollanmeldung", "EZA-A"))
        cboArtVerfahrenUeberfuehrung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("EZA-D - vorzeitige Einzelzollanmeldung, Abgabe einer herkömmlichen Zollanmeldung", "EZA-D"))
        cboArtVerfahrenUeberfuehrung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VZA-C - vereinfachte Einzelzollanmeldung", "VZA-C"))
        cboArtVerfahrenUeberfuehrung.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VZA-F - vereinfachte, vorzeitige Einzelzollanmeldung", "VZA-F"))
        cboArtVerfahrenUeberfuehrung.changeItem("")

        cboVertretungsart.Items.Clear()
        cboVertretungsart.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVertretungsart.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("0 - Keine Vertretung, sondern Handeln im eigenen Namen und für eigene Rechnung", "0"))
        cboVertretungsart.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - Vertretung im Namen und für Rechnung eines Anderen (direkte Vertretung)", "1"))
        cboVertretungsart.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2 - Vertretung im eigenen Namen, aber für Rechnung eines Anderen (indirekte Vertretung)", "2"))
        cboVertretungsart.changeItem("")

        cboVPArt.Items.Clear()
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("0 - Keine Vertretung, sondern Handeln im eigenen Namen und für eigene Rechnung", "0"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1 - Vertretung im Namen und für Rechnung eines Anderen (direkte Vertretung)", "1"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2 - Vertretung im eigenen Namen, aber für Rechnung eines Anderen (indirekte Vertretung)", "2"))

        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("A - Ausbesserungsschein", "A"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("AE - Ausfuhranmeldung für Erstattungszwecke", "AE"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ATA - Als Versandschein genutzt", "ATA"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ATA - Carnet ATA", "ATA"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("at-AV - Aktive Veredelung als vorangegangenes Verfahren (sowohl im Papierverfahren als auch im IT-Verfahren ATLAS)", "at-AV"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ATNEU - Summarische Anmeldung im IT-Verfahren ATLAS, Verfahrensbereich SumA ", "ATNEU"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("at-ZL - Zolllagerverfahren als vorangegangenes Verfahren (sowohl im Papierverfahren als auch im IT-Verfahren ATLAS)", "at-ZL"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("AV - Abmeldung aus der aktiven Veredelung", "AV"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ESUMA - Eingangs - SumA", "ESUMA"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("FV - Anmeldung aus d. fr. Verkehr zur bes. Verw.", "FV"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("GB - Vom Verfahren erzeugte Registriernummer, die nicht angenommen, für ungültig erklärt oder storniert wurde", "GB"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("MAN - Rheinmanifest", "MAN"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("MO - Anm.für ausfuhrabgabepflichtige MO-Waren", "MO"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("OESUMA - Ohne ESumA gemäß Art. 136 UZK, Art. 104 UZK-DA (ohne Carnet ATA und Truppenverwendung) oder aufgrund eines Abkommens, z.B. EU - CH", "OESUMA"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("OHNE", "OHNE"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("POST - Zollinhaltserklärung(für im Postverkehr gestellte Sendungen, die nicht im Postübergabebogen erfasst werden)", "POST"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("PUEB - Postübergabebogen(für im Postverkehr gestellte Sendungen, die im Postübergabebogen erfasst werden)", "PUEB"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T- - Versandschein", "T-"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("TIR - Carnet TIR", "TIR"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("TRPPVW - Truppenverwendung", "TRPPVW"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T1 - Versandschein", "T1"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T1CF - Container - Frachtbrief", "T1CF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T1DF - Deutscher Frachtbrief", "T1DF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T1IC - IC - Übergabeschein TR", "T1IC"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T1IE - Internationaler Expreßgutschein (TIEx) - T1", "T1IE"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T1IF - Internationaler Frachtbrief (CIM) - T1", "T1IF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2 - Versandschein", "T2"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2AN - Versandschein (Andorra)", "T2AN"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2CF - Container - Frachtbrief", "T2CF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2DF - Deutscher Frachtbrief", "T2DF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2F - Versandschein", "T2F"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2IC - IC - Übergabeschein TR - T2", "T2IC"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2IE - Internationaler Expreßgutschein (TIEx)", "T2IE"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2IF - Internationaler Frachtbrief (CIM)", "T2IF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2L - Versandschein T2L", "T2L"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2LF - Versandschein T2LF", "T2LF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2M - Versandschein", "T2M"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T2SM - Versandschein (San Marino)", "T2SM"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("T5 - Kontrollexemplar", "T5"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("V - Verwendungsschein", "V"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VO - Verwendungsschein", "VO"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("VV - Anm.aus der vorübergehenden Verwendung", "VV"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Z - Zollanmeldung", "Z"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("ZL - Zolllagerverfahren", "ZL"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("444TF - Versandschein T2F (Art. 444 ZK-DVO)", "444TF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("444T1 - Versandschein T1 (Art. 444 ZK-DVO)", "444T1"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("444T2 - Versandschein T2 (Art. 111 Übereinkommen)", "444T2"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("445 - Versandverfahren Art. 445 ZK-DVO", "445"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("447TF - Versandschein T2F (Art. 447 ZK-DVO)", "447TF"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("447T1 - Versandschein T1 (Art. 447 ZK-DVO)", "447T1"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("447T2 - Versandschein T2 (Art. 111 Übereinkommen)", "447T2"))
        cboVPArt.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("448 - Versandverfahren Art. 448 ZK-DVO", "448"))
        cboVPArt.changeItem("")

        'btnAllgemein_Click(btnT2, New EventArgs)

        ' setValues(EZA)
    End Sub


    Public Sub getValues(ByRef EZA As TELOTEC_Worker.cTelotec_Anmeldung)

        'EZA.eza_AnmeldungArt = cProgramFunctions.isLeerNothing(cboArtVerfahrenUeberfuehrung._value)
        'EZA.eza_ZollrechtlicherStatus = cProgramFunctions.isLeerNothing(cboZollrStatus._value)
        'EZA.eza_Statistikstatus = cProgramFunctions.isLeerNothing(cboStatStatus._value)
        'EZA.eza_VerfahrenBeantragtCode = cProgramFunctions.isLeerNothing(cboVerfahren._value)



        'EZA.eza_DV1Kz = If(cbxDV1.Checked, True, Nothing)
        'EZA.eza_FiskalvertretungKz = If(cbxFiskalvertretung.Checked, True, Nothing)
        'EZA.eza_Eingangszollstelle = cProgramFunctions.isLeerNothing(sbEingangZollstelleID._value)
        'If sbAdrZollstelle._value.Length = 8 Then
        '    EZA.eza_AdressierteZollstelle = sbAdrZollstelle._value.Substring(4, 4)
        'End If

        'EZA.eza_VertretungsVerhaeltnisCode = cProgramFunctions.isLeerNothing(cboVertretungsart._value)


        'EZA.eza_VersendungsLandCode = cProgramFunctions.isLeerNothing(sbVersendungsLand._value)
        'EZA.eza_Bestimmungsland = cProgramFunctions.isLeerNothing(sbBestimmungsland._value)
        'EZA.eza_Bestimmungsbundesland = cProgramFunctions.isLeerNothing(sbBestimmungsBundesland._value)


        'EZA.eza_Warenort = cProgramFunctions.isLeerNothing(txtWarenort.Text)
        'EZA.eza_KennzeichenNameBefoerderungsmittelAnkunft = cProgramFunctions.isLeerNothing(txtKennzeichenInland._value)
        'EZA.eza_BeförderungsmittelGrenzeStaatszugehörigkeitCode = cProgramFunctions.isLeerNothing(sbKennzeichenInlandLand._value)
        'EZA.eza_BeförderungsmittelGrenzeArt = cProgramFunctions.isLeerNothing(cboArtGrenzUeberschreitung._value)
        'EZA.eza_VerkehrszweigInland = cProgramFunctions.isLeerNothing(cboVerkehrszweigInland._value)
        'EZA.eza_VerkehrszweigGrenze = cProgramFunctions.isLeerNothing(cboVerkehrszweigGrenze._value)
        'EZA.eza_Zahlungsart = cProgramFunctions.isLeerNothing(cboZahlungsweise._value)
        'EZA.eza_ArtGeschaeftCode = cProgramFunctions.isLeerNothing(cboGeschaeftsArt._value)

        'EZA.eza_Rechnungspreis = cProgramFunctions.isLeerNothingDbl(txtRechnungspreis._value)
        'EZA.eza_Rechnungswaehrung = cProgramFunctions.isLeerNothing(txtRechnungspreisWaehrung._value)

        'EZA.eza_LieferbedingungCode = cProgramFunctions.isLeerNothing(cboLieferbedingungen._value)
        'EZA.eza_LieferbedingungSchluessel = cProgramFunctions.isLeerNothing(cboLieferbedingungSchluessel._value)
        'EZA.eza_LieferbedingungOrt = cProgramFunctions.isLeerNothing(txtLieferbedingungort.Text)
        'EZA.eza_LieferbedingungText = cProgramFunctions.isLeerNothing(txtLieferbedingungText.Text)

        'EZA.eza_AnmelderistEmpfaenger = Nothing
        'EZA.eza_GesamtRohmasse = cProgramFunctions.isLeerNothingDbl(txtRohmasse.Text)

        'EZA.eza_ContainerNr1 = cProgramFunctions.isLeerNothing(txtContainerNr1.Text)
        'EZA.eza_ContainerNr2 = cProgramFunctions.isLeerNothing(txtContainerNr2.Text)
        'EZA.eza_ContainerNr3 = cProgramFunctions.isLeerNothing(txtContainerNr3.Text)

        'EZA.eza_SUMABA.Clear()
        'If cboVPArt._value <> "" Then
        '    EZA.eza_VorpapierArtCode = cProgramFunctions.isLeerNothing(cboVPArt._value)
        '    EZA.eza_VorpapierNr = cProgramFunctions.isLeerNothing(txtVPReferenz.Text)

        '    If txtVP_ATB1.Text <> "" Then
        '        Dim SUMA As New DAKOSY_Worker.cDakosy_EZA_SumABeendigungsAnteil()
        '        SUMA.ezaBa_SumARegistriernummer = txtVP_ATB1.Text
        '        SUMA.ezaBa_SumAPosNr = txtVP_ATBNr1.Text
        '        SUMA.ezaBa_BeendigungsPackstueckzahl = txtVP_ATBPk1.Text
        '        If EZA.eza_VorpapierArtCode = "ATNEU" Then SUMA.ezaBa_Artidentifikation = "REG"
        '        EZA.eza_SUMABA.Add(SUMA)
        '    End If
        '    If txtVP_ATB2.Text <> "" Then
        '        Dim SUMA As New DAKOSY_Worker.cDakosy_EZA_SumABeendigungsAnteil()
        '        SUMA.ezaBa_SumARegistriernummer = txtVP_ATB2.Text
        '        SUMA.ezaBa_SumAPosNr = txtVP_ATBNr2.Text
        '        SUMA.ezaBa_BeendigungsPackstueckzahl = txtVP_ATBPk2.Text
        '        If EZA.eza_VorpapierArtCode = "ATNEU" Then SUMA.ezaBa_Artidentifikation = "REG"
        '        EZA.eza_SUMABA.Add(SUMA)
        '    End If

        'Else
        '    EZA.eza_VorpapierArtCode = Nothing
        '    EZA.eza_VorpapierNr = Nothing
        'End If

        'Select Case cbxAnmelderIstEmpfänger.CheckState
        '    Case CheckState.Checked : EZA.eza_AnmelderistEmpfaenger = "J"
        '    Case CheckState.Unchecked : EZA.eza_AnmelderistEmpfaenger = "N"
        'End Select

        EZA.POSITIONSDATEN.Clear()
        Dim cnt = 1
        For Each row As DataGridViewRow In MyDatagridview1.Rows
            If row.Index - 1 = MyDatagridview1.Rows.Count - 1 Then Exit For
            Dim POS As New TELOTEC_Worker.cTelotec_Positionsdaten
            POS.Pos_ID = cnt
            cnt += 1
            POS.Item_ComCd = row.Cells("clmnTarifnummer").Value
            POS.Item_GdsDes = row.Cells("clmnWarenbeschreibung").Value
            POS.Item_Gross = row.Cells("clmnRohmasse").Value
            POS.Item_Net = row.Cells("clmnEigenmasse").Value
            POS.Item_ItVal = row.Cells("clmnPreis").Value

            POS.PACKSTUECKE.Clear()
            Dim PACK As New TELOTEC_Worker.cTelotec_Packstuecke
            PACK.Pack_Kind = row.Cells("clmnPkArt").Value
            PACK.Pack_Nr = row.Cells("clmnPackstuecke").Value
            POS.PACKSTUECKE.Add(PACK)

            POS.DOC_CERTS.Clear()
            For Each rowDoc As DataGridViewRow In MyDatagridview2.Rows
                If rowDoc.Index - 1 = MyDatagridview2.Rows.Count - 1 Then Exit For
                Dim DOC As New TELOTEC_Worker.cTelotec_PositionsdatenDokumente
                DOC.DocCerts_DocCd = rowDoc.Cells("clmnAnhart").Value
                DOC.DocCerts_DRef = rowDoc.Cells("clmnAnhReferenz").Value
                DOC.DocCerts_IssD = rowDoc.Cells("clmnAnhDatum").Value
                POS.DOC_CERTS.Add(DOC)
            Next

            EZA.POSITIONSDATEN.Add(POS)
        Next


    End Sub


    Public Sub setPosValues(TEL_ANM As TELOTEC_Worker.cTelotec_Anmeldung)
        If TEL_ANM Is Nothing Then Exit Sub
        If TEL_ANM.POSITIONSDATEN Is Nothing Then Exit Sub
        MyDatagridview1.Rows.Clear()

        For Each POS In TEL_ANM.POSITIONSDATEN
            MyDatagridview1.Rows.Add({POS.Item_Orig, POS.Item_ComCd, POS.Item_GdsDes, "", "", "", "", POS.Item_ItVal, "EUR"})
        Next

    End Sub
    Public Sub setValues(TEL_ANM As TELOTEC_Worker.cTelotec_Anmeldung)
        If TEL_ANM Is Nothing Then Exit Sub

        'cboArtVerfahrenUeberfuehrung.changeItem(If(EZA.eza_AnmeldungArt, ""))

        'cboZollrStatus.changeItem(If(EZA.eza_ZollrechtlicherStatus, ""))
        'cboStatStatus.changeItem(If(EZA.eza_Statistikstatus, ""))
        'cboVerfahren.changeItem(If(EZA.eza_VerfahrenBeantragtCode, ""))

        'cbxDV1.Checked = If(EZA.eza_DV1Kz, False)
        'cbxFiskalvertretung.Checked = If(EZA.eza_FiskalvertretungKz, False)

        'sbEingangZollstelleID.SET_VALUE(EZA.eza_Eingangszollstelle)
        'sbAdrZollstelle.SET_VALUE("DE00" & EZA.eza_AdressierteZollstelle)

        'cboVertretungsart.changeItem(If(EZA.eza_VertretungsVerhaeltnisCode, ""))

        'sbVersendungsLand.SET_VALUE(EZA.eza_VersendungsLandCode)
        'sbBestimmungsland.SET_VALUE(EZA.eza_Bestimmungsland)
        'sbBestimmungsBundesland.changeItem(EZA.eza_Bestimmungsbundesland)

        'txtWarenort.Text = If(EZA.eza_Warenort, "")
        'txtKennzeichenInland.Text = If(EZA.eza_KennzeichenNameBefoerderungsmittelAnkunft, "")
        'sbKennzeichenInlandLand.SET_VALUE(EZA.eza_BeförderungsmittelGrenzeStaatszugehörigkeitCode)
        'cboArtGrenzUeberschreitung.changeItem(If(EZA.eza_BeförderungsmittelGrenzeArt, ""))
        'cboVerkehrszweigInland.changeItem(If(EZA.eza_VerkehrszweigInland, ""))
        'cboVerkehrszweigGrenze.changeItem(If(EZA.eza_VerkehrszweigGrenze, ""))

        'cboZahlungsweise.changeItem(If(EZA.eza_Zahlungsart, ""))
        'cboGeschaeftsArt.changeItem(If(EZA.eza_ArtGeschaeftCode, ""))

        'txtRechnungspreis._value = If(EZA.eza_Rechnungspreis, "")
        'txtRechnungspreisWaehrung.SET_VALUE(If(EZA.eza_Rechnungswaehrung, ""))

        'cboLieferbedingungen.changeItem(If(EZA.eza_LieferbedingungCode, ""))
        'cboLieferbedingungSchluessel.changeItem(If(EZA.eza_LieferbedingungSchluessel, ""))
        'txtLieferbedingungort.Text = If(EZA.eza_LieferbedingungOrt, "")
        'txtLieferbedingungText.Text = If(EZA.eza_LieferbedingungText, "")

        'txtRohmasse.Text = If(EZA.eza_GesamtRohmasse, "")


        'txtContainerNr1.Text = If(EZA.eza_ContainerNr1, "")
        'txtContainerNr2.Text = If(EZA.eza_ContainerNr2, "")
        'txtContainerNr3.Text = If(EZA.eza_ContainerNr3, "")

        'cbxAnmelderIstEmpfänger.CheckState = CheckState.Indeterminate
        'If EZA.eza_AnmelderistEmpfaenger IsNot Nothing Then
        '    Select Case EZA.eza_AnmelderistEmpfaenger
        '        Case "J" : cbxAnmelderIstEmpfänger.CheckState = CheckState.Checked
        '        Case "N" : cbxAnmelderIstEmpfänger.CheckState = CheckState.Unchecked
        '    End Select
        'End If

        'Select Case EZA_ART
        '    Case "EZA" : initButton(btnCo)
        '    Case "VZA" : initButton(btnEU)
        'End Select

        'cboVPArt.changeItem(If(EZA.eza_VorpapierArtCode, ""))
        'txtVPReferenz.Text = If(EZA.eza_VorpapierNr, "")

        'If EZA.eza_SUMABA IsNot Nothing Then
        '    If EZA.eza_SUMABA.Count > 0 Then
        '        txtVP_ATB1.Text = If(EZA.eza_SUMABA(0).ezaBa_SumARegistriernummer, "")
        '        txtVP_ATBNr1.Text = If(EZA.eza_SUMABA(0).ezaBa_SumAPosNr, "")
        '        txtVP_ATBPk1.Text = If(EZA.eza_SUMABA(0).ezaBa_BeendigungsPackstueckzahl, "")
        '    End If
        '    If EZA.eza_SUMABA.Count > 1 Then
        '        txtVP_ATB2.Text = If(EZA.eza_SUMABA(1).ezaBa_SumARegistriernummer, "")
        '        txtVP_ATBNr2.Text = If(EZA.eza_SUMABA(1).ezaBa_SumAPosNr, "")
        '        txtVP_ATBPk2.Text = If(EZA.eza_SUMABA(1).ezaBa_BeendigungsPackstueckzahl, "")
        '    End If
        'End If

    End Sub


    Private Sub btnAllgemein_Click(sender As Object, e As EventArgs) Handles btnCo.Click, btnEU.Click
        initButton(sender)
    End Sub

    Sub initButton(sender As Button)
        setBtn(btnCo, False)
        setBtn(btnEU, False)

        If sender Is Nothing Then

        Else
            If sender Is btnCo Then
                EZA_ART = "EZA"
                If cbxVorzeitigeAnmeldung.Checked Then
                    txtArtDetail.Text = "Vorzeitige Einzelzollanmeldung" & vbNewLine & "Abgabe einer herkömmlichen Zollanmeldung"
                    cboArtVerfahrenUeberfuehrung.changeItem("EZA-D")
                Else
                    txtArtDetail.Text = "Einzelzollanmeldung" & vbNewLine & "Abgabe einer herkömmlichen Zollanmeldung"
                    cboArtVerfahrenUeberfuehrung.changeItem("EZA-A")
                End If
            ElseIf sender Is btnEU Then
                EZA_ART = "VZA"
                If cbxVorzeitigeAnmeldung.Checked Then
                    txtArtDetail.Text = "Vorzeitige, vereinfachte Einzelzollanmeldung"
                    cboArtVerfahrenUeberfuehrung.changeItem("VZA-F")
                Else
                    txtArtDetail.Text = "Vereinfachte Einzelzollanmeldung"
                    cboArtVerfahrenUeberfuehrung.changeItem("VZA-C")
                End If

            End If
            setBtn(sender, True)
        End If
    End Sub

    Sub setBtn(btn As Button, value As Boolean)
        If value Then
            btn.BackColor = Color.OrangeRed
            btn.ForeColor = Color.White
        Else
            btn.BackColor = Color.White
            btn.ForeColor = Color.Black
        End If

    End Sub





    'Private Sub sbVersendungsLand_TextChanged() Handles sbVersendungsLand.VALUE_CHANGED
    '    If sbVersendungsLand._value <> "" And txtWarenort.Text = "" Then
    '        txtWarenort.Text = sbVersendungsLand._value
    '    End If
    'End Sub


    Private Sub cboLieferbedingungen_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboLieferbedingungen.SelectedIndexChanged
        If cboLieferbedingungen._value = "XXX" Then
            txtLieferbedingungText.Enabled = True
            txtLieferbedingungort.Enabled = False
        Else
            txtLieferbedingungText.Enabled = False
            txtLieferbedingungort.Enabled = True
        End If
    End Sub



    Private Sub cboArtVerfahrenUeberfuehrung_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboArtVerfahrenUeberfuehrung.SelectedIndexChanged
        Select Case cboArtVerfahrenUeberfuehrung._value
            Case "EZA-A" : initButton(btnCo) : cbxVorzeitigeAnmeldung.Checked = False
            Case "EZA-D" : initButton(btnCo) : cbxVorzeitigeAnmeldung.Checked = True
            Case "VZA-C" : initButton(btnEU) : cbxVorzeitigeAnmeldung.Checked = False
            Case "VZA-F" : initButton(btnEU) : cbxVorzeitigeAnmeldung.Checked = True
            Case Else : initButton(Nothing)
        End Select
    End Sub

    Private Sub cbxVorzeitigeAnmeldung_CheckedChanged(sender As Object, e As EventArgs) Handles cbxVorzeitigeAnmeldung.CheckedChanged, cbxFiskalvertretung.CheckedChanged
        Select Case EZA_ART
            Case "EZA" : initButton(btnCo)
            Case "VZA" : initButton(btnEU)
        End Select
    End Sub

    Private Sub cbxDV1_CheckedChanged(sender As Object, e As EventArgs) Handles cbxDV1.CheckedChanged
        RaiseEvent DV1_changed(cbxDV1.Checked)
    End Sub

    Private Sub cboVPArt_SelectedIndexChanged(sender As Object, e As EventArgs) Handles cboVPArt.SelectedIndexChanged
        txtVP_ATB1.Enabled = (cboVPArt._value <> "")
        txtVP_ATB2.Enabled = (cboVPArt._value <> "")
        txtVP_ATBNr1.Enabled = (cboVPArt._value <> "")
        txtVP_ATBNr2.Enabled = (cboVPArt._value <> "")
        txtVPReferenz.Enabled = (cboVPArt._value <> "")
        txtVP_ATBPk1.Enabled = (cboVPArt._value <> "")
        txtVP_ATBPk2.Enabled = (cboVPArt._value <> "")

    End Sub

    Private Sub cboVPArt_LostFocus(sender As Object, e As EventArgs) Handles cboVPArt.LostFocus
        If cboVPArt._value <> "" Then
            txtVPReferenz.Focus() 'wg.enabled
        End If
    End Sub


    Private Sub txtEigenmasse_TextChanged() Handles txtEigenmasse.ValueChanged, txtRohmasse.ValueChanged
        Label36.Visible = False
        If IsNumeric(txtRohmasse._value) And IsNumeric(txtEigenmasse._value) Then
            If CDbl(txtRohmasse._value) < CDbl(txtEigenmasse._value) Then
                Label36.Visible = True
            End If
        End If
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        If Not IsNumeric(txtEigenmasse._value) Then Exit Sub
        If Not IsNumeric(txtRohmasse._value) Then Exit Sub

        Dim gesPreis As Double = 0
        For Each row As DataGridViewRow In MyDatagridview1.Rows
            If row.Cells("clmnPreis").Value IsNot Nothing AndAlso IsNumeric(row.Cells("clmnPreis").Value) Then
                gesPreis += CDbl(row.Cells("clmnPreis").Value)
            End If
        Next


        For Each row As DataGridViewRow In MyDatagridview1.Rows
            row.Cells("clmnEigenmasse").Value = CDbl(CDbl(row.Cells("clmnPreis").Value) * (CDbl(txtEigenmasse._value) / gesPreis)).ToString("N2")
            row.Cells("clmnRohmasse").Value = CDbl(CDbl(row.Cells("clmnPreis").Value) * (CDbl(txtRohmasse._value) / gesPreis)).ToString("N2")
        Next

    End Sub
End Class
